Appearance
Remove an address
Powered by VitePress OpenAPI
Code examples
bash
curl -X POST https://api.brrr.network/api/v4/partner/customer/remove-address \
-H "X-Api-Key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"customerId": "cust_a1b2c3d4",
"addressEVM": "0xAb5801a7D398351b8bE11C439e05C5B3259aeC9B"
}'javascript
const response = await fetch('https://api.brrr.network/api/v4/partner/customer/remove-address', {
method: 'POST',
headers: {
'X-Api-Key': process.env.BRRR_API_KEY,
'Content-Type': 'application/json',
},
body: JSON.stringify({
customerId: 'cust_a1b2c3d4',
addressEVM: '0xAb5801a7D398351b8bE11C439e05C5B3259aeC9B',
}),
});
if (!response.ok) {
const error = await response.json();
throw new Error(`Failed to remove address: ${error.errorCode}`);
}
const data = await response.json();
console.log('Address removed:', data);python
import os
import httpx
response = httpx.post(
'https://api.brrr.network/api/v4/partner/customer/remove-address',
headers={
'X-Api-Key': os.environ['BRRR_API_KEY'],
'Content-Type': 'application/json',
},
json={
'customerId': 'cust_a1b2c3d4',
'addressEVM': '0xAb5801a7D398351b8bE11C439e05C5B3259aeC9B',
},
)
response.raise_for_status()
data = response.json()
print('Address removed:', data)